## com.google.common.io
Class CountingInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.google.common.io.CountingInputStream

All Implemented Interfaces:
  Closeable

    @Beta
    public final class CountingInputStream

extends FilterInputStream

An `InputStream` that counts the number of bytes read.

Since:
  1.0
Author:
  Chris Nokleberg

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CountingInputStream(InputStream in)` Wraps another input stream, counting the number of bytes read.

Method Summary
`long` `getCount()` Returns the number of bytes read.
`void` `mark(int readlimit)`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

Methods inherited from class java.io.FilterInputStream
`available, close, markSupported, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountingInputStream

    public CountingInputStream(InputStream in)

  Wraps another input stream, counting the number of bytes read.

  Parameters:
    `in` - the input stream to be wrapped

Method Detail

### getCount

    public long getCount()

  Returns the number of bytes read.

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `FilterInputStream`
  Throws:
    `IOException`

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `FilterInputStream`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `FilterInputStream`
  Throws:
    `IOException`

Copyright © 2010-2012. All Rights Reserved.